---
title: "Create site web app targeting"
type: reference
method: POST
path: /rest-api/site/{siteId}/targeting/is-web-app/create.do
tag: "Targeting Rules"
---

# Create site web app targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/site/{siteId}/targeting/is-web-app/create.do`

Creates a web app targeting rule for the specified site. The rule matches requests that originate from a web application context (progressive web app or app-like browser environment). Use INCLUDE to serve ads only to web app traffic, or EXCLUDE to block it. Returns the created targeting rule on success. Requires IS_WEB_APP targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `siteId` | integer | yes | `3001` | Unique numeric ID of the site |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE to target web app traffic or EXCLUDE to block it |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Site not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/site/3001/targeting/is-web-app/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-site-targeting-is-web-app-create